Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.agreement.builders
Interface ResponseObjectBuilder

All Known Implementing Classes:
  ResponseObjectBuilderImpl

    public interface ResponseObjectBuilder

Provides method(s) to build a business response from WS response. Default impl : `ResponseObjectBuilderImpl` Factory : `ResponseObjectBuilderFactory`

Method Summary
`SignedEncryptedBuilderResponse` | `handleAskAgreementResponse(AskAgreementResponse response, AskAgreementBuilderRequest request)` Handles the response of the WS, checks the signatures and decode the content (if necessary) to create a `SignedEncryptedBuilderResponse` object.
`SignedEncryptedBuilderResponse` | `handleConsultAgreementResponse(ConsultAgreementResponse response, ConsultAgreementBuilderRequest request)`

Method Detail

### handleAskAgreementResponse

    SignedEncryptedBuilderResponse handleAskAgreementResponse(AskAgreementResponse response,
                                                              AskAgreementBuilderRequest request)
                                                              throws TechnicalConnectorException

  Handles the response of the WS, checks the signatures and decode the content (if necessary) to create a `SignedEncryptedBuilderResponse` object.

  Parameters:
    `response` - the response sent by the WS
  Returns:
    a MemberDataBuilderResponse object who contains all info
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### handleConsultAgreementResponse

    SignedEncryptedBuilderResponse handleConsultAgreementResponse(ConsultAgreementResponse response,
                                                                  ConsultAgreementBuilderRequest request)
                                                                  throws TechnicalConnectorException

  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.